Skip to main content
`Ctrl`+`K`

# TaoTermComputeGradientGetUseFD

Get whether finite differences are used in `TaoTermComputeGradient()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermComputeGradientGetUseFD(TaoTerm term, PetscBool *use_fd)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- use_fd - `PETSC_TRUE` if finite differences are used

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermGetFDDelta()`, `TaoTermSetFDDelta()`, `TaoTermComputeGradientFD()`, `TaoTermComputeGradientSetUseFD()`, `TaoTermComputeHessianFD()`, `TaoTermComputeHessianSetUseFD()`, `TaoTermComputeHessianGetUseFD()`

## Level

advanced

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages